# synfigapp::Action::Undoable Class Reference

Undoable Action Base Class. More...

`#include <action.h>`

Inheritance diagram for synfigapp::Action::Undoable:

List of all members.

## Public Member Functions

virtual void | undo ()=0
| This function will throw an Action::Error() on failure.
bool | is_active () const

## Protected Member Functions

| Undoable ()

## Friends

class | System

## Detailed Description

Undoable Action Base Class.

## Constructor & Destructor Documentation

synfigapp::Action::Undoable::Undoable | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual void synfigapp::Action::Undoable::undo | ( |  | ) | `[pure virtual]`

This function will throw an Action::Error() on failure.

Implemented in synfigapp::Action::Super, synfigapp::Action::ActivepointAdd, synfigapp::Action::ActivepointRemove, synfigapp::Action::ActivepointSet, synfigapp::Action::ActivepointSimpleAdd, synfigapp::Action::CanvasAdd, synfigapp::Action::CanvasDescriptionSet, synfigapp::Action::CanvasIdSet, synfigapp::Action::CanvasNameSet, synfigapp::Action::CanvasRemove, synfigapp::Action::CanvasRendDescSet, synfigapp::Action::EditModeSet, synfigapp::Action::GroupAddLayers, synfigapp::Action::GroupRemove, synfigapp::Action::GroupRemoveLayers, synfigapp::Action::GroupRename, synfigapp::Action::KeyframeAdd, synfigapp::Action::KeyframeDuplicate, synfigapp::Action::KeyframeRemove, synfigapp::Action::KeyframeSet, synfigapp::Action::KeyframeSetDelta, synfigapp::Action::LayerActivate, synfigapp::Action::LayerAdd, synfigapp::Action::LayerMove, synfigapp::Action::LayerParamConnect, synfigapp::Action::LayerParamDisconnect, synfigapp::Action::LayerParamSet, synfigapp::Action::LayerRemove, synfigapp::Action::LayerSetDesc, synfigapp::Action::ValueNodeAdd, synfigapp::Action::ValueNodeConstSet, synfigapp::Action::ValueNodeDynamicListInsert, synfigapp::Action::ValueNodeDynamicListLoop, synfigapp::Action::ValueNodeDynamicListRemove, synfigapp::Action::ValueNodeDynamicListUnLoop, synfigapp::Action::ValueNodeLinkConnect, synfigapp::Action::ValueNodeLinkDisconnect, synfigapp::Action::ValueNodeRemove, synfigapp::Action::ValueNodeRename, synfigapp::Action::ValueNodeReplace, synfigapp::Action::WaypointAdd, synfigapp::Action::WaypointConnect, synfigapp::Action::WaypointDisconnect, synfigapp::Action::WaypointRemove, synfigapp::Action::WaypointSet, and synfigapp::Action::WaypointSimpleAdd.

bool synfigapp::Action::Undoable::is_active | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class System `[friend]`

The documentation for this class was generated from the following file:

- action.h